Module | Sequel::JDBC::Firebird::DatabaseMethods
In: | lib/sequel/adapters/jdbc/firebird.rb

Database instance methods for Firebird databases accessed via JDBC.

### Methods

extended

### Included Modules

Sequel::Firebird::DatabaseMethods Sequel::JDBC::Transactions

### Public Class methods

extended(db)

Add the primary_keys and primary_key_sequences instance variables, so we can get the correct return values for inserted rows.

[Source]

        # File lib/sequel/adapters/jdbc/firebird.rb, line 16
    16:         def self.extended(db)
    17:           db.instance_eval do
    18:             @primary_keys = {}
    19:           end
    20:         end

[Validate]